version: "3.7"

services:
  app:
    image: ${IMAGE}-${PHP_VERSION}
    build:
      context: .
      target: build
      args:
        VARIANT: ${PHP_VERSION}

  alpine:
    image: ${IMAGE}-${PHP_VERSION}-alpine
    build:
      context: .
      target: build
      args:
        VARIANT: ${PHP_VERSION}
        OS: alpine

  fpm:
    image: ${IMAGE}-${PHP_VERSION}-fpm
    build:
      context: .
      target: build
      args:
        VARIANT: ${PHP_VERSION}-fpm

  fpm-alpine:
    image: ${IMAGE}-${PHP_VERSION}-fpm-alpine
    build:
      context: .
      target: build
      args:
        VARIANT: ${PHP_VERSION}-fpm
        OS: alpine

  test:
    image: ${IMAGE}-test
    build:
      context: .
      target: test
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    environment:
      - IMAGE
      - PHP_VERSION
